Bug 1021010 - kernel BUG: unable to handle kernel paging request in mem_cgroup_move_account+0xfc/0x310 [NEEDINFO]
kernel BUG: unable to handle kernel paging request in mem_cgroup_move_account...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 14:45 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2014-03-17 14:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:41:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-18 14:45:05 EDT
Description of problem:
When terminating a qemu VM in virt-manager, host crashed.
On reboot I found the following in the journal:

Oct 16 09:10:18 bupkis kernel: Linux version 3.12.0-0.rc5.git0.2.fc21.x86_64 (mockbuild@buildvm-19.phx2.fedoraproject.org) (gcc version 4.8.1 20130920 (Red Hat 4.8.1-10) (GCC) ) #1 SMP Mon Oct 14 13:26:56 UTC 2013
Oct 16 09:10:18 bupkis kernel: Command line: BOOT_IMAGE=/vmlinuz-3.12.0-0.rc5.git0.2.fc21.x86_64 root=/dev/mapper/vg_bupkis-root21 ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_bupkis/root21 rd.luks=0 rd.lvm.lv=vg_bupkis/lv_swap LANG=en_US.UTF-8
...
Oct 18 14:24:30 bupkis systemd-machined[1591]: Machine qemu-fedora20 terminated.

Oct 18 14:24:30 bupkis systemd-machined[1591]: Machine qemu-fedora20 terminated.
Oct 18 14:24:30 bupkis kernel: BUG: unable to handle kernel paging request at 000060f780006278
Oct 18 14:24:30 bupkis kernel: IP: [<ffffffff811a135c>] mem_cgroup_move_account+0xfc/0x310
Oct 18 14:24:30 bupkis kernel: PGD 0 
Oct 18 14:24:30 bupkis kernel: Oops: 0000 [#1] SMP 
Oct 18 14:24:30 bupkis kernel: Modules linked in: loop bnep bluetooth rfkill fuse vhost_net vhost macvtap macvlan ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle tun ebtable_nat ebtables ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 nf_defrag_ipv6 rpcsec_gss_krb5 nfsv4 dns_resolver xt_physdev nf_conntrack_ipv4 nfs nf_defrag_ipv4 fscache ip6table_filter xt_conntrack nf_conntrack ip6_tables bridge w83627ehf hwmon_vid stp llc x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul crc32c_intel iTCO_wdt iTCO_vendor_support ghash_clmulni_intel microcode serio_raw uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev asix media usbnet joydev snd_usb_audio mii snd_hda_intel snd_usbmidi_lib snd_hda_codec snd_rawmidi snd_hwdep sb_edac snd_seq snd_seq_device
Oct 18 14:24:30 bupkis kernel:  edac_core snd_pcm i2c_i801 igb snd_page_alloc lpc_ich snd_timer ptp mfd_core snd pps_core soundcore ipmi_si mei_me ipmi_msghandler mei ioatdma acpi_cpufreq shpchp dca binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau video mxm_wmi wmi udl i2c_algo_bit drm_usb ttm drm_kms_helper isci drm hid_logitech_dj libsas usb_storage scsi_transport_sas i2c_core
Oct 18 14:24:30 bupkis kernel: CPU: 7 PID: 5491 Comm: kworker/7:2 Not tainted 3.12.0-0.rc5.git0.2.fc21.x86_64 #1
Oct 18 14:24:30 bupkis kernel: Hardware name: ASUSTeK COMPUTER INC. Z9PE-D16 Series/Z9PE-D16 Series, BIOS 3301 11/09/2012
Oct 18 14:24:30 bupkis kernel: Workqueue: events css_killed_work_fn
Oct 18 14:24:30 bupkis kernel: task: ffff880845ef9770 ti: ffff880840724000 task.ti: ffff880840724000
Oct 18 14:24:30 bupkis kernel: RIP: 0010:[<ffffffff811a135c>]  [<ffffffff811a135c>] mem_cgroup_move_account+0xfc/0x310
Oct 18 14:24:30 bupkis kernel: RSP: 0018:ffff880840725cb8  EFLAGS: 00010046
Oct 18 14:24:30 bupkis kernel: RAX: 0000000000000246 RBX: ffff88046fa3c770 RCX: 0000000000000000
Oct 18 14:24:30 bupkis kernel: RDX: ffffc9001b237000 RSI: 000060f780006260 RDI: ffffc9001b23722c
Oct 18 14:24:30 bupkis kernel: RBP: ffff880840725d10 R08: ffffc9001370e000 R09: 0000000000000001
Oct 18 14:24:30 bupkis kernel: R10: 0000000000000001 R11: 0000000000000001 R12: ffffea00006f1dc0
Oct 18 14:24:30 bupkis kernel: R13: ffffc9001b237000 R14: 0000000000000000 R15: ffffc9001b23722c
Oct 18 14:24:30 bupkis kernel: FS:  0000000000000000(0000) GS:ffff88087fc40000(0000) knlGS:0000000000000000
Oct 18 14:24:30 bupkis kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Oct 18 14:24:30 bupkis kernel: CR2: 000060f780006278 CR3: 0000000001c0c000 CR4: 00000000000427e0
Oct 18 14:24:30 bupkis kernel: Stack:
Oct 18 14:24:30 bupkis kernel:  ffff880840725cd0 ffffffff8131949d ffffea00006f1dc0 ffffc9001370e000
Oct 18 14:24:30 bupkis kernel:  ffffffff00000001 ffffc9001b237000 ffff8802eec46228 ffffea00006f1dc0
Oct 18 14:24:30 bupkis kernel:  ffff88046fa3c770 ffffea00006f1de0 ffffc9001b237000 ffff880840725da8
Oct 18 14:24:30 bupkis kernel: Call Trace:
Oct 18 14:24:30 bupkis kernel:  [<ffffffff8131949d>] ? list_del+0xd/0x30
Oct 18 14:24:30 bupkis kernel:  [<ffffffff811a2ee8>] mem_cgroup_reparent_charges+0x248/0x510
Oct 18 14:24:30 bupkis kernel:  [<ffffffff811a335f>] mem_cgroup_css_offline+0xaf/0x1b0
Oct 18 14:24:30 bupkis kernel:  [<ffffffff810db057>] offline_css+0x27/0x50
Oct 18 14:24:30 bupkis kernel:  [<ffffffff810dd77d>] css_killed_work_fn+0x2d/0xa0
Oct 18 14:24:30 bupkis kernel:  [<ffffffff810824d5>] process_one_work+0x175/0x430
Oct 18 14:24:30 bupkis kernel:  [<ffffffff810830fb>] worker_thread+0x11b/0x3a0
Oct 18 14:24:30 bupkis kernel:  [<ffffffff81082fe0>] ? rescuer_thread+0x340/0x340
Oct 18 14:24:30 bupkis kernel:  [<ffffffff81089b40>] kthread+0xc0/0xd0
Oct 18 14:24:30 bupkis kernel:  [<ffffffff81089a80>] ? insert_kthread_work+0x40/0x40
Oct 18 14:24:30 bupkis kernel:  [<ffffffff8167497c>] ret_from_fork+0x7c/0xb0
Oct 18 14:24:30 bupkis kernel:  [<ffffffff81089a80>] ? insert_kthread_work+0x40/0x40
Oct 18 14:24:30 bupkis kernel: Code: 85 f6 48 8b 55 d0 44 8b 4d c8 4c 8b 45 c0 0f 85 b3 00 00 00 41 8b 4c 24 18 85 c9 0f 88 a6 00 00 00 48 8b b2 30 02 00 00 45 89 ca <4c> 39 56 18 0f 8c a6 01 00 00 44 89 c9 f7 d9 89 cf 65 48 01 7e 
Oct 18 14:24:30 bupkis kernel: RIP  [<ffffffff811a135c>] mem_cgroup_move_account+0xfc/0x310
Oct 18 14:24:30 bupkis kernel:  RSP <ffff880840725cb8>
Oct 18 14:24:30 bupkis kernel: CR2: 000060f780006278
Oct 18 14:24:30 bupkis kernel: ---[ end trace 67683336ff3c8268 ]---
Oct 18 14:24:30 bupkis kernel: BUG: unable to handle kernel paging request at ffffffffffffffd8
Oct 18 14:24:30 bupkis kernel: IP: [<ffffffff8108a0d0>] kthread_data+0x10/0x20


Version-Release number of selected component (if applicable):
kernel-3.12.0-0.rc5.git0.2.fc21.x86_64
systemd-208-2.fc20.x86_64

How reproducible:
Don't know.

Steps to Reproduce:
1. Kill a VM with virt-manager → shutdown → force shutdown
Comment 1 Justin M. Forbes 2014-02-24 08:57:39 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Justin M. Forbes 2014-03-17 14:41:25 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.